Subject: Re: skge error; hangs w/ hardware memory hole

From: Andi Kleen <[email-masked]>
Date: Fri, 7 Jul 2006 23:28:51 +0200

On Friday 07 July 2006 23:18, Stephen Hemminger wrote:
> On Mon, 3 Jul 2006 22:52:38 +0200
> Martin Michlmayr <[email-masked]> wrote:
> 
> > We received the following bug report at http://bugs.debian.org/341801
> > 
> > | I have a Asus A8V with 4GB of RAM. When I turn on the hardware memory
> > | hole in the BIOS, the skge driver prints out this message:
> > |       skge hardware error detected (status 0xc00)
> > | and then does not work. Setting debug=16 doesn't really show anything.

Is that a board with VIA chipset?

VIA doesn't seem to support PCI accesses with addresses >4GB and they also
don't have a working GART IOMMU.

It will likely work with iommu=force

I've been pondering to force this, but was still waiting for more reports.

-Andi